### Constructor

# GimpUi LabelSpin new

#### Declaration [src]

    GtkWidget*
    gimp_label_spin_new (
      const gchar* text,
      gdouble value,
      gdouble lower,
      gdouble upper,
      gint digits
    )

#### Description [src]

Suitable increment values are estimated based on the [`lower`, `upper`] range. If `digits` is -1, then it will also be estimated based on the same range. Digits estimation will always be at least 1, so if you want to show integer values only, set 0 explicitly.

#### Parameters

`text`

  Type: `const gchar*`

  The text for the `GtkLabel`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gdouble`

  The initial value.

`lower`

  Type: `gdouble`

  The lower boundary.

`upper`

  Type: `gdouble`

  The upper boundary.

`digits`

  Type: `gint`

  The number of decimal digits.

#### Return value

Type: `GtkWidget`

The new `GimpLabelSpin` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.